> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Auth Token

> Verify the authentication token generated by the user.



## OpenAPI

````yaml get /gc/token/verify
openapi: 3.0.3
info:
  title: Global Collections - Partners
  version: '4'
servers:
  - url: https://sandbox.cashfree.com/
    description: Sandbox server
  - url: https://api.cashfree.com/
    description: Production server
security: []
paths:
  /gc/token/verify:
    get:
      summary: Verify Token
      description: Verify the authentication token generated by the user.
      operationId: global-collections-verify-token
      parameters:
        - $ref: '#/components/parameters/Authorization'
      responses:
        '200':
          description: Success response for verifying token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenVerificationResponse'
        '403':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    Authorization:
      name: Authorization
      in: header
      description: Bearer auth token
      required: true
      schema:
        type: string
  schemas:
    TokenVerificationResponse:
      type: object
      properties:
        accountId:
          type: integer
          example: 23794572
        expiry:
          type: integer
          example: 1697611626
        agentId:
          type: integer
          example: 23794572
        channel:
          type: string
          example: ''
        enableApi:
          type: boolean
          example: false
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          example: authentication_error
        message:
          type: string
          example: failed to authenticate
        code:
          type: string
          example: authentication_failed

````